Grava Docs

Get a run

GET/v1/runs/{runId}
AuthorizationBearer <token>

API key shown once at creation and stored as a SHA-256 hash.

In: header

Path Parameters

runId*string

Run UUID.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "run": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2",    "status": "queued",    "checks": [      {        "checkId": "string",        "passed": true,        "message": "string"      }    ],    "rowDeltas": {      "new": 0,      "changed": 0,      "gone": 0    },    "error": "string",    "queuedAt": "2019-08-24T14:15:22Z",    "startedAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z"  }}